Page Summary
-
Display & Video 360 API v3 is sunset and users should transition to v4.
-
This page describes how to delete an assigned targeting option from a line item using the v3 API.
-
Requests to this endpoint cannot be made concurrently with other specific requests that update the same line item.
-
YouTube & Partners line items cannot be created or updated using the API.
-
Deleting an assigned targeting option requires specific path parameters including advertiser ID, line item ID, targeting type, and assigned targeting option ID.
Deletes an assigned targeting option from a line item.
Requests to this endpoint cannot be made concurrently with the following requests updating the same line item:
lineItems.bulkEditAssignedTargetingOptionslineItems.bulkUpdatelineItems.patchassignedTargetingOptions.create
YouTube & Partners line items cannot be created or updated using the API.
HTTP request
DELETE https://displayvideo.googleapis.com/v3/advertisers/{advertiserId}/lineItems/{lineItemId}/targetingTypes/{targetingType}/assignedTargetingOptions/{assignedTargetingOptionId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
Required. The ID of the advertiser the line item belongs to. |
lineItemId |
Required. The ID of the line item the assigned targeting option belongs to. |
targetingType |
Required. Identifies the type of this assigned targeting option. Supported targeting types include:
|
assignedTargetingOptionId |
Required. The ID of the assigned targeting option to delete. |
Request body
The request body must be empty.
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.